OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
autoslope.h File Reference

Functions related to autoslope. More...

`#include "company_func.h"`
`#include "depot_func.h"`
`#include "tile_map.h"`

Go to the source code of this file.

## Functions
static bool | AutoslopeCheckForEntranceEdge (TileIndex tile, int z_new, Slope tileh_new, DiagDirection entrance)
| Autoslope check for tiles with an entrance on an edge.
static bool | AutoslopeEnabled ()
| Tests if autoslope is enabled for _current_company.

## Detailed Description

Functions related to autoslope.

Definition in file autoslope.h.

## Function Documentation

static bool AutoslopeCheckForEntranceEdge | ( | TileIndex | tile,
|  | int | z_new,
|  | Slope | tileh_new,
|  | DiagDirection | entrance
| ) |  |
| inline static

Autoslope check for tiles with an entrance on an edge.

E.g. depots and non-drive-through-road-stops.

The test succeeds if the slope is not steep and at least one corner of the entrance edge is on the TileMaxZ() level.

Note
  The test does not check if autoslope is enabled at all.

Parameters

  tile | The tile.
  z_new | New TileZ.
  tileh_new | New TileSlope.
  entrance | Entrance edge.

Returns
  true iff terraforming is allowed.

Definition at line 33 of file autoslope.h.

References CanBuildDepotByTileh(), GetSlopeMaxZ(), GetTileMaxZ(), and SLOPE_FLAT.

static bool AutoslopeEnabled | ( |  | ) |
| inline static

Tests if autoslope is enabled for _current_company.

Autoslope is disabled for town/industry construction.

Returns
  true iff autoslope is enabled.

Definition at line 46 of file autoslope.h.

References _current_company, _settings_game, ConstructionSettings::autoslope, GameSettings::construction, MAX_COMPANIES, and OWNER_NONE.

Referenced by TestAutoslopeOnRailTile().